summaryrefslogtreecommitdiff
path: root/resources
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-08-27 11:35:02 +0100
committerLeah Rowe <leah@libreboot.org>2023-08-27 11:35:02 +0100
commit27c67295c73dd0dc78c347cf653a69b284f0fc64 (patch)
treec21aa577f50548757d3db5af23a7f93d2b3c686e /resources
parent197464bc4b4869c2504c0e4dd59873529e2f3064 (diff)
handle/config/file: unified distclean handling
use build/src/for -c which does the same thing, specifically: try distclean, then clean, or fail Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'resources')
-rwxr-xr-xresources/scripts/handle/config/file11
1 files changed, 3 insertions, 8 deletions
diff --git a/resources/scripts/handle/config/file b/resources/scripts/handle/config/file
index 5e32fed4..13d65ad3 100755
--- a/resources/scripts/handle/config/file
+++ b/resources/scripts/handle/config/file
@@ -223,8 +223,7 @@ check_config()
run_make_command()
{
- make -C "${codedir}" distclean || \
- make -C "${codedir}" clean || \
+ ./build src for -c "${codedir}"
fail "run_make_command: make distclean/clean failed"
cp "${config}" "${codedir}/.config" || \
@@ -248,17 +247,13 @@ copy_elf()
fail "copy_elf: cannot copy elf file"
done
- make -C "${codedir}" distclean || \
- make -C "${codedir}" clean || \
+ ./handle src for -c "${codedir}" || \
fail "copy_elf: clean: ${codedir} (${project}/${target})"
}
fail()
{
- [ -z "${codedir}" ] || \
- make -C "${codedir}" distclean \
- || make -C "${codedir}" clean || :
-
+ [ -z "${codedir}" ] || ./handle src for -c "${codedir}" || :
err "${1}"
}